<!doctype html>
<html lang="en">
    <head>
        <meta charset="UTF-8">

        <title>Javascript: homework 1</title>
    </head>
    <body>
        <script>
            let name = prompt("Please, enter your name:");
            while (!isName(name)) {
                name = prompt("Please, enter your name (Jon or Jon Smit):");
            }

            let age = +prompt("Please, enter your age:");
            while (!isAge(age)){
                age = +prompt("Please, enter your age (only number):");
            }

            if (name === null){
                name = "unknown"
            }

            if ((age > 0) && (age < 18)){
                alert("You are not allowed to visit this website.")
            }else if ((age >= 18) && (age <= 22)) {
                const answer = confirm("Are you sure you want to continue?");
                if (answer) {
                    alert(`Welcome, ${name}`)
                } else {
                    alert("You are not allowed to visit this website.")
                }
            } else if (age > 22){
                alert(`Welcome, ${name}`)
            }

            function isName(name){
                const regName = /^[A-Z]?[a-z]+\s?[A-Z]?[a-z]+?$/;
                return regName.test(name)
            }

            function isAge(number){
                const regAge = /^[0-9]+$/;
                return ( regAge.test(number) ) && ( number > 0)
            }
        </script>
    </body>
</html>
